Available downloads (release-1400-x64-gdal-1-9-0-mapserver-6-0-1):

File nameDate of compilationSizeDescription
release-1400-x64-gdal-1-9-0-mapserver-6-0-1.zip1/29/2012 10:42 PM24479 kBCompiled binaries in a single .zip package
GDAL-1.9.0.win-amd64-py2.6.exe1/29/2012 10:16 PM417 kBInstaller for the GDAL python bindings (requires to install the GDAL core)
GDAL-1.9.0.win-amd64-py2.7.msi1/29/2012 10:13 PM464 kBInstaller for the GDAL python bindings (requires to install the GDAL core)
GDAL-1.9.0.win-amd64-py3.1.msi1/29/2012 10:14 PM464 kBInstaller for the GDAL python bindings (requires to install the GDAL core)
GDAL-1.9.0.win-amd64-py3.2.msi1/29/2012 10:15 PM464 kBInstaller for the GDAL python bindings (requires to install the GDAL core)
gdal-19-1400-x64-core.msi1/29/2012 10:34 PM19952 kBGeneric installer for the GDAL core components
gdal-19-1400-x64-ecw.msi1/29/2012 10:35 PM1404 kBInstaller for the GDAL ECW plugin (must be installed to the same directory as the GDAL core)
gdal-19-1400-x64-mrsid.msi1/29/2012 10:37 PM2583 kBInstaller for the GDAL MrSID plugin (must be installed to the same directory as the GDAL core)
gdal-19-1400-x64-oracle.msi1/29/2012 10:35 PM942 kBInstaller for the GDAL Oracle plugin (must be installed to the same directory as the GDAL core, make sure the proper version of oci.dll is available on your system)
MapScript-6.0.1.win-amd64-py2.6.exe1/29/2012 10:41 PM264 kBInstaller for the MapScript python bindings (Not yet working)

Note: In order to have the bindings work the location of the core components must be included manually in the PATH environment variable.